/*
Temerature on 16X2 LCD Tutorial by ROBO INDIA
LM 35 Temp. IC is used.
http://roboindia.com/
*/

#include <LiquidCrystal.h> //includes LCD library.


LiquidCrystal MyLCD(12, 11, 5, 4, 3, 2); // Defining LCD.
int temp_pin = A0;  // LM 35 is connected to A0 Pin.
float temp;         // Variable to store temperature value.

void setup() {
   MyLCD.begin(16, 2); // Initializing 16X2 LCD.
   MyLCD.home(); // Home location : 0,0 
   MyLCD.print("Robo India"); // Print on LCD.
   MyLCD.setCursor(0, 1);
   MyLCD.print("LM 35 Tutorial");
   delay(4000);  
}

void loop() {
  
  MyLCD.clear();     // Clearing LCD
  MyLCD.home();      // Cursor set to 0,0
  temp = ReadTemp(); // Reading Temperature. 
  MyLCD.print("Temperature is-");
  MyLCD.setCursor(0,1);
  MyLCD.print(temp); // Printing Temperature of LCD.
  MyLCD.print(" Deg. C.");
  delay(1000);       // delay of 1 second.  
}

// Function to read temperature.
float ReadTemp(){
int ip_adc_val = 0;
float temp =0;
temp = (5.0 * analogRead(temp_pin) * 100.0) / 1024;
return temp;
}
